<script lang="ts">
  import Card from '$lib/components/cards/Card.svelte';
  import Tag from '$lib/components/Tag.svelte';
  import { PUBLIC_API_URL } from '$env/static/public';

  export let id: number,
    name: string,
    description: string,
    attachment: any,
    tags: any[];

  const href = `${PUBLIC_API_URL}/attachment/${attachment.id}`;
</script>

<Card bordered>
    <h2 class="text-2xl font-bold font-serif">{name}</h2>
<!--    <section class="flex flex-wrap gap-4">-->
<!--        {#each tags as { name }}-->
<!--            <Tag noSelect {name}/>-->
<!--        {/each}-->
<!--    </section>-->
    <p class="text-lg">{description}</p>
    <section class="flex justify-center items-end gap-3 text-neutral-400">
        <a {href} class="text-lg text-blue-700 font-bold font-serif hover:underline decoration-blue-700">Скачать</a>
        <p class="text-neutral-600 font-bold font-serif">{(attachment.size / 1024).toFixed(2)} КБ</p>
    </section>
</Card>